Fann Functions
fann_cascadetrain_on_file
Fann Functions
PHP Manual

# fann_cascadetrain_on_data

(PECL fann >= 1.0.0)

fann_cascadetrain_on_data — Trains on an entire dataset, for a period of time using the Cascade2 training algorithm

### Description

bool fann_cascadetrain_on_data ( resource `$ann` , resource `$data` , int `$max_neurons` , int `$neurons_between_reports` , float `$desired_error` )

The cascade output change fraction is a number between 0 and 1 determining how large a fraction the fann_get_MSE() value should change within fann_get_cascade_output_stagnation_epochs() during training of the output connections, in order for the training not to stagnate. If the training stagnates, the training of the output connections will be ended and new candidates will be prepared.

This training uses the parameters set using the fann_set_cascade_..., but it also uses another training algorithm as it’s internal training algorithm. This algorithm can be set to either `FANN_TRAIN_RPROP` or `FANN_TRAIN_QUICKPROP` by fann_set_training_algorithm(), and the parameters set for these training algorithms will also affect the cascade training.

### Parameters

`ann`

  Neural network resource.

`data`

  Neural network training data resource.

`max_neurons`

  The maximum number of neurons to be added to neural network.

`neurons_between_reports`

  The number of neurons between printing a status report. A value of zero means no reports should be printed.

`desired_error`

  The desired fann_get_MSE() or fann_get_bit_fail(), depending on which stop function is chosen by fann_set_train_stop_function()

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_train_on_data() - Trains on an entire dataset for a period of time
- fann_cascadetrain_on_file() - Trains on an entire dataset read from file, for a period of time using the Cascade2 training algorithm.

Fann Functions
fann_cascadetrain_on_file
Fann Functions
PHP Manual